## rust-rustls-0.20 0.20.8

=== debian/changelog ===
rust-rustls-0.20 (0.20.8-11) unstable; urgency=medium

  * extend patch 1001 to cover crate rustls-examples
  * renumber patches
    2004_base64 -> 1002_base64 1001_env_logger -> 1002_env_logger;
    update DEP-3 patch headers

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 18 Aug 2023 16:56:53 +0200

rust-rustls-0.20 (0.20.8-10) unstable; urgency=medium

  * update dh-cargo fork
  * add patch 1001_env_logger to match system crate env_logger;
    update build- and autopkgtest-dependencies for crate env_logger
  * add patch 2002 to drop nightly-only feature read_buf;
    stop provide virtual package for or autopkgtest feature read_buf

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 11 Aug 2023 02:18:36 +0200

rust-rustls-0.20 (0.20.8-9) unstable; urgency=medium

  * fix: install test CA;
    closes: bug#1042064, thanks to Peter Green
  * update patch 2004 to extend (not bump) dependency for crate base64

 -- Jonas Smedegaard <dr@jones.dk>  Wed, 26 Jul 2023 09:58:08 +0200

rust-rustls-0.20 (0.20.8-8) unstable; urgency=medium

  * fix autopkgtest-dependencies; closes: bug#1041908, thanks to Peter Green

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 25 Jul 2023 10:53:43 +0200

rust-rustls-0.20 (0.20.8-7) unstable; urgency=medium

  * no-changes source-only upload to enable testing migration

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 20 Jul 2023 16:31:37 +0200

rust-rustls-0.20 (0.20.8-6) experimental; urgency=medium

  * merge with 0.20.8-4.2:
    + have git-buildpackage use version-prefixed branches
    + bump build- and autopkgtest-dependency for crate criterion
  * check tests during build

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 18 Jul 2023 15:27:32 +0200

rust-rustls-0.20 (0.20.8-5) experimental; urgency=medium

  * tighten patch 2004 and add DEP-3 headers
  * update git-buildpackage config:
    + use version-prefixed branches and tags
  * update watch file: limit to track only 0.20.*
  * rename source and binary package to include version;
    break and replace older unversioned package;
    stop provide minor-versioned binary package
  * avoid Rust crate criterion and skip tests,
    due to bug#1040837

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 16 Jul 2023 13:42:09 +0200

rust-rustls (0.20.8-4.2) unstable; urgency=medium

  * update git-buildpackage config:
    + use branch debian/unstable
  * add patch 1001
    to relax dependency to match system crate criterion 0.5.1;
    unfuzz patches;
    relax related build-dependency and autopkgtest-dependencies

  * pseudo-NMU to leave room for pending versioned package

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 18 Jul 2023 15:12:51 +0200

rust-rustls (0.20.8-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Bump base64 dev-dependency to 0.21. (Closes: #1038420)

 -- Peter Michael Green <plugwash@debian.org>  Sat, 24 Jun 2023 20:20:37 +0000

rust-rustls (0.20.8-4) unstable; urgency=medium

  * add patch 1001 to add feature constraints to tests

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 03 Feb 2023 14:57:58 +0100

rust-rustls (0.20.8-3) unstable; urgency=medium

  * provide virtual package for feature secret-extraction
  * tighten autopkgtests
  * stop superfluously provide virtual unversioned feature packages
  * change binary library package to be arch-independent
  * simplify build rules,
    thanks to recent improvents in forked dh-cargo

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 02 Feb 2023 20:19:22 +0100

rust-rustls (0.20.8-2) unstable; urgency=medium

  * fix stop provide libstring-shellquote-perl;
    thanks to Adrian Bunk

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 29 Jan 2023 02:09:23 +0100

rust-rustls (0.20.8-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * declare compliance with Debian Policy 4.6.2
  * bump version for provided virtual packages and autopkgtest hints
  * update dh-cargo fork;
    build-depend on libstring-shellquote-perl
  * update copyright info: update coverage

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 26 Jan 2023 15:54:21 +0100

rust-rustls (0.20.7-2) unstable; urgency=medium

  * update dh-cargo fork,
    to fix install only crate (not all source)

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 04 Dec 2022 16:29:13 +0100

rust-rustls (0.20.7-1) unstable; urgency=medium

  [ upstream ]
  * new release

  [ Jonas Smedegaard ]
  * add README.Debian,
    to note patching to use rustls-native-certs instead of webpki-roots
  * drop patches cherry-picked upstream now applied
  * unfuzz patches
  * bump version for provided virtual packages and autopkgtest hints
  * merge virtual feature package into main binary package
  * fix provide versioned virtual package for feature read-buf
  * update dh-cargo fork;
    build-depend on libstring-shellquote-perl

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 03 Dec 2022 23:45:30 +0100

rust-rustls (0.20.6-7) unstable; urgency=medium

  * fix cleanup temporary file;
    closes: 1016487, thanks to Chris Lamb
  * add patch cherry-picked upstream
    to delete unused dev-deps ct-logs in rustls-mio,
    replacing patch 2002
  * unfuzz patches
  * stop overzealously provide versioned virtual packages

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 01 Aug 2022 20:30:13 +0200

rust-rustls (0.20.6-6) unstable; urgency=medium

  * omit root hidden files in fuzz and test-ca data
  * update DEP-3 patch headers to include bug closures
  * add patch cherry-picked upstream
    to add some missing feature guards,
    replacing patch 1001_tls12
  * update dh-cargo fork

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 01 Jul 2022 13:29:28 +0200

rust-rustls (0.20.6-5) unstable; urgency=medium

  * cleanup after test
  * mangle system-shared code
    to use system-shared fuzz and test-ca data;
    install test-ca data;
    add autopkgtests
  * add patch 1001
    to fix fence tests requiring feature tls12

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 26 Jun 2022 16:45:31 +0200

rust-rustls (0.20.6-4) unstable; urgency=medium

  * update dh-cargo fork

