=== debian/rules ===
#!/usr/bin/make -f

# use local fork of debcargo and dh-cargo
PATH := $(CURDIR)/debian/dh-cargo/bin:$(PATH)
PERL5LIB = $(CURDIR)/debian/dh-cargo/lib
export PATH PERL5LIB

%:
	dh $@ --buildsystem cargo

# cleanup after test
execute_after_dh_auto_test:
	rm -rf rustls/sslkeylogfile.txt

# mangle system-shared code to use system-shared test-ca and fuzz data
execute_after_dh_auto_install:
	perl -pi -e 's,\Q../../../test-ca,/usr/share/rust-rustls-0.20/test-ca,' \
	 debian/librust-*-dev/usr/share/cargo/registry/*/tests/common/mod.rs
	perl -pi -e 's,\Q../fuzz,/usr/share/rust-rustls-0.20/fuzz,' \
	 debian/librust-*-dev/usr/share/cargo/registry/*/src/msgs/message_test.rs
